<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Domain\SEO\Adapter;

interface ReferableInterface
{
    public function isIndexable(): bool;

    public function isMetadataEnabled(): bool;

    public function getMetadataTitle(): ?string;

    public function getMetadataUrl(): ?string;

    public function getMetadataType(): ?string;

    public function getMetadataDescription(): ?string;

    public function getMetadataImage(): ?string;
}
